<div class="container d-flex justify-content-center align-items-center" style="height: 100vh;">
  <div class="card">
    <div class="card-body">
      <%= image_tag("Logo.svg", alt: "Logo Image", class: "img-fluid mb-4 mx-auto d-block half-size-image", style: "width: 40%; height: auto;") %>
      <h1 class="text-center mb-4">Login</h1>
      <%= form_with url: 'get_token_path', local: true, id: "cnpj_search_form" do |form| %>
      <div class="form-group">
        <%= form.label :cnpj, "CNPJ" %>
        <%= form.text_field :cnpj, class: "form-control", required: true, autofocus: true, autocomplete: "off", id: "cnpj_field", maxlength: "14", pattern: "\\d{14}" %>
        </div>
        <div class="form-group">
          <%= form.label :fantasia, "Fantasia" %>
          <%= form.text_field :fantasia, class: "form-control", disabled: true %>
        </div>
        <div class="form-group">
          <%= form.label :razao, "Razão" %>
          <%= form.text_field :razao, class: "form-control", disabled: true %>
        </div>
        <%= button_tag "Buscar", type: "button", class: "btn btn-primary mt-4", id: "fetch_token", data: { bs_toggle: "modal", bs_target: "#loginModal" } %>
      <% end %>
    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal fade" id="loginModal" tabindex="-1" role="dialog" aria-labelledby="loginModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="loginModalLabel">Login</h5>
        <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <%= form_with url: home_index_path, local: true do |form| %>
          <div class="form-group">
            <%= form.label :username, "Login" %>
            <%= form.text_field :username, class: "form-control" %>
          </div>
          <div class="form-group">
            <%= form.label :password, "Senha" %>
            <%= form.password_field :password, class: "form-control" %>
          </div>
          <%= form.submit "Logar", class: "btn btn-primary mt-4" %>
        <% end %>
      </div>
    </div>
  </div>
</div>


<script type="module">
  import $ from 'jquery';
  import * as bootstrap from 'bootstrap';

  $(document).ready(function() {
      $('#cnpj_field').on('input', function() {
          this.value = this.value.replace(/[^0-9]/g, '');
      });
  });

  document.addEventListener('DOMContentLoaded', function() {
      document.getElementById('fetch_token').addEventListener('click', function() {
          var cnpj = document.getElementById('cnpj_field').value;
          fetch('/auth/get_token_erp_web', {
              method: 'POST',
              headers: {
                'Content-Type': 'application/json',
                'Accept': 'application/json',
                'X-CSRF-Token': document.querySelector('[name="csrf-token"]').getAttribute('content')
              },
              body: JSON.stringify({
                cnpj: cnpj,
                usuario: document.getElementById('username').value,
                senha: document.getElementById('password').value
              })
          })
          .then(response => response.json())
          .then(data => {
              console.log(data); // Tratar a resposta aqui
          })
          .catch(error => console.error('Error:', error));
      });
  });
</script>
